/****************************************************************************/
/*    ECHO30.CMD - COMMAND FILE FOR LINKING C30 ECHO CANCELLATION PROGRAMS  */
/*                                                                          */
/*    Usage:   lnk30 <obj files...> -o <out file> -m <map file> echo30.cmd  */
/*                                                                          */
/*    Description: This file is a sample command file that can be used      */
/*		   for linking echo cancellation assembly programs.	    */
/*									    */
/****************************************************************************/
-O ECHO30.OUT

/* SPECIFY THE SYSTEM MEMORY MAP */

MEMORY
{
   VECS:    org = 0	   len = 0xc0	    /* INTERRUPT AND TRAP	    */
   ROM:     org = 0xc0	   len = 0x7fff40   /* PROGRAM ROM		    */
   DMABUS:  org = 0x808000 len = 0x10	    /* DMA BUS CONTROL		    */
   SPORT0:  org = 0x808040 len = 0x10	    /* SERIAL PORT 0		    */
   SPORT1:  org = 0x808050 len = 0x10	    /* SERIAL PORT 1		    */
   EXBUS:   org = 0x808060 len = 0x10	    /* EXTERNAL BUS CONTROL	    */
   RAM0:    org = 0x809800 len = 0x300	    /* RAM BLOCK 0 FOR VARIABLES    */
   M_ary:   org = 0x809B00 len = 0x0c0	    /* RAM BLOCK 0 FOR VARIABLES    */
   _STACK:  org = 0x809bc0 len = 0x40	    /* SYSTEM STACK		    */
   RAM1:    org = 0x809c00 len = 0x300	    /* RAM BLOCK 1		    */
   V_RAM:   org = 0x809f00 len = 0x020	    /* RAM BLOCK 1 FOR VARIABLES    */
}

/* SPECIFY THE SECTIONS ALLOCATION INTO MEMORY */

SECTIONS
{
   vectors:   {} > VECS 	       /* INTERRUPT VECTORS		    */
   .text:     {} > ROM		       /* MEMORY FOR FILTER PROGRAM	    */
   DMA_bus:   {} > DMABUS	       /* DMA BUS CONTROL REGISTERS	    */
   s_port0:   {} > SPORT0	       /* SERIAL PORT 0 REGISTERS	    */
   s_port1:   {} > SPORT1	       /* SERIAL PORT 1 REGISTERS	    */
   ex_bus:    {} > EXBUS	       /* EXTERNAL BUS CONTROL REGISTERS    */
   .stack:    {} > _STACK	       /* SYSTEM STACK			    */
   Marray:    {} > M_ary	       /* MEMORY FOR M ARRAY		    */
   variable:  {} > V_RAM	       /* MEMORY FOR VARIABLES		    */
   buffer:    {} > RAM0 	       /* MEMORY FOR DATA BUFFER	    */
   coeffs:    {} > RAM1 	       /* MEMORY FOR FILTER COEFFICIENTS    */
}


